

# Module hex_api_release #
* [Function Index](#index)
* [Function Details](#functions)

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#delete-3">delete/3</a></td><td></td></tr><tr><td valign="top"><a href="#get-3">get/3</a></td><td>
Gets package release.</td></tr><tr><td valign="top"><a href="#publish-2">publish/2</a></td><td></td></tr><tr><td valign="top"><a href="#retire-4">retire/4</a></td><td></td></tr><tr><td valign="top"><a href="#unretire-3">unretire/3</a></td><td></td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="delete-3"></a>

### delete/3 ###

`delete(Config, Name, Version) -> any()`

<a name="get-3"></a>

### get/3 ###

`get(Config, Name, Version) -> any()`

Gets package release.

Examples:

```
  > hex_api:get_release(<<"package">>, <<"1.0.0">>, hex_core:default_config()).
  {ok, {200, ..., #{
      <<"version">> => <<"1.0.0">>,
      <<"meta">> => #{
          <<"description">> => ...,
          <<"licenses">> => ...,
          <<"links">> => ...,
          <<"maintainers">> => ...
      },
      ...}}}
```

<a name="publish-2"></a>

### publish/2 ###

`publish(Config, Tarball) -> any()`

<a name="retire-4"></a>

### retire/4 ###

`retire(Config, Name, Version, Params) -> any()`

<a name="unretire-3"></a>

### unretire/3 ###

`unretire(Config, Name, Version) -> any()`

